package com.sobot.network.http.builder;

import com.sobot.network.http.request.RequestCall;

import java.util.Map;

import okhttp3.MediaType;

public abstract class OkHttpRequestBuilder {
    protected String url;
    protected Object tag;
    protected Map<String, String> headers;
    protected Map<String, Object> params;
    protected MediaType mediaType;

    public abstract OkHttpRequestBuilder url(String url);

    public abstract OkHttpRequestBuilder tag(Object tag);

    public abstract OkHttpRequestBuilder headers(Map<String, String> headers);

    public abstract OkHttpRequestBuilder addHeader(String key, String val);

    public abstract OkHttpRequestBuilder mediaType(MediaType mediaType);

    public abstract RequestCall build();


}
